

# Singularity Python

[![Build Status](https://travis-ci.org/singularityware/singularity-python.svg?branch=master)](https://travis-ci.org/singularityware/singularity-python)

Singularity Python is a python module and command line tool for working with <a href="https://singularityware.github.io" target="_blank">Singularity</a> containers, specifically providing functions to visualize, package, and compare containers. Currently, most functions use Singularity on the command line, and some require sudo.

The Singularity-Python code is licensed under the MIT open source license, which is a highly permissive license that places few limits upon reuse. This ensures that the code will be usable by the greatest number of researchers, in both academia and industry. The following examples are provided:


## Singularity Client
 - [basic usage](docs/cli/run_singularity/)

## Singularity Hub Client
 - [basic usage](docs/shub/client/)
 - [singularity hub paper analysis](docs/shub/paper/)

## Image Classification
 - [classify image](docs/classify/)

## Image Comparison


## Reproducibility Metrics


## Visualizations

- [Trees](docs/visualize/tree/)


## Help and Contribution
Please contribute to the package, or post feedback and questions as <a href="https://github.com/singularityware/singularity-python" target="_blank">issues</a>. For points that require discussion of the larger group, please use the <a href="https://groups.google.com/a/lbl.gov/forum/#!forum/singularity" target="_blank">Singularity List</a>

